# Class TxnLogEntry

java.lang.Object
org.apache.zookeeper.server.TxnLogEntry

public final class TxnLogEntry extends Object
A helper class to represent the txn entry.

## Constructor Summary

Constructors
Constructor
Description
`TxnLogEntry(Record txn, TxnHeader header, TxnDigest digest)`

## Method Summary

Modifier and Type
Method
Description
`TxnDigest`
`getDigest()`
`TxnHeader`
`getHeader()`
`Record`
`getTxn()`
`Request`
`toRequest()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TxnLogEntry

public TxnLogEntry(Record txn, TxnHeader header, TxnDigest digest)

## Method Details

### getTxn

public Record getTxn()

### getHeader

public TxnHeader getHeader()

### getDigest

public TxnDigest getDigest()

### toRequest

public Request toRequest()